PHP som du vil ha’ det

PHP som du vil ha’ det

Vi er et af de få steder der som standard tilbyder den nye PHP version 7.0. Du kan også frit vælge mellem de ældre versioner, PHP 5.6, 5.5, 5.4, 5.3 eller 5.2. Alle populære PHP-baserede CMSer såsom Wordpress, Joomla, og Drupal kører uden fejl, takket være vores justerbare konfiguration og få begrænsninger.

PHP skræddersyet til dig

Nogle PHP-systemer kræver særlig omsorg. Det kan fx. være at der er behov for at justere den maksimale størrelse på filer der kan uploades – eller at scriptet skal køre i "safe mode". Disse ting kan du selv konfigurere i kontrolcenteret ved at oprette en “php.ini”-fil. Ændringerne vil øjeblikkeligt træde i kraft.

Næsten ingen begrænsninger

Scripts og applikationer kan yde deres optimale og har masser af albuerum. Vi tillader et højt ressourceforbrug – eksempelvis er standardmængden for hukommelsen for PHP-scripts 256 MB, men den kan sættes helt op til 512 MB. Ligeledes kan du uploade filer op til 512 MB i størrelse via PHP. Se alle ressourcebegrænsninger.

Masser af udvidelser

Som standard tilbyder vi et hav af udvidelser som giver dig kraftfulde værktøjer til eksempelvis at manipulere billed- eller Flashfiler, adgang til PDO-databaseabstraheringslag, forbinde til IMAP-, FTP-, SNMP-, PostgreSQL- eller LDAP-servere. Se alle vores udvidelser.

Høj sikkerhed

Som standard kører alle vores PHP-processer isoleret fra andre brugere og med egne privilegier (også kendt som “i en sandbox”). Dette giver øget sikkerhed fremfor at køre alting under samme bruger – da sikkerheden ligger på et langt højere niveau. Desuden medfølger PHP-udvidelsen “suhosin” som beskytter din hjemmeside mod typiske angreb.